com.io7m.jcanephora.cursors

## Class JCGLDepth32FByteBuffered

- java.lang.Object
- - com.io7m.jcanephora.cursors.JCGLDepth32FByteBuffered

- All Implemented Interfaces:
    JCGLDepth32FReadableType, JCGLDepth32FType, JCGLDepth32FWritableType, com.io7m.jpra.runtime.java.JPRAValueType

      public final class JCGLDepth32FByteBuffered
      extends Object
      implements JCGLDepth32FType

  A `ByteBuffer` based implementation of the `JCGLDepth32F` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDepth()`
    `int` | `metaDepthOffsetFromCursor()`
    `int` | `metaDepthOffsetFromType()`
    `static int` | `metaDepthStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat` | `metaDepthType()`
    `static JCGLDepth32FType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static JCGLDepth32FType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setDepth(float x)` Set the value of the `depth` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static JCGLDepth32FType newValueWithOffset(ByteBuffer in_buffer,
                                                            com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                            int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static JCGLDepth32FType newValue(ByteBuffer in_buffer,
                                                  com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaDepthOffsetFromType

          public int metaDepthOffsetFromType()

      Specified by:
        `metaDepthOffsetFromType` in interface `JCGLDepth32FReadableType`
      Returns:
        The offset in octets of the `depth` field, from the start of the type

    - #### metaDepthStaticOffsetFromType

          public static int metaDepthStaticOffsetFromType()

      Returns:
        The offset in octets of field `depth` from the start of the type

    - #### metaDepthOffsetFromCursor

          public int metaDepthOffsetFromCursor()

      Specified by:
        `metaDepthOffsetFromCursor` in interface `JCGLDepth32FReadableType`
      Returns:
        The offset in octets of the `depth` field, from the cursor

    - #### metaDepthType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat metaDepthType()

      Specified by:
        `metaDepthType` in interface `JCGLDepth32FReadableType`
      Returns:
        The type of the `depth` field

    - #### getDepth

          public float getDepth()

      Specified by:
        `getDepth` in interface `JCGLDepth32FReadableType`
      Returns:
        The value of the `depth` field

    - #### setDepth

          public void setDepth(float x)

      Description copied from interface: `JCGLDepth32FWritableType`
      Set the value of the `depth` field
      Specified by:
        `setDepth` in interface `JCGLDepth32FWritableType`
      Parameters:
        `x` - The new value

Copyright © 2016 <code@io7m.com> http://io7m.com